%global momorel 10

Summary: Meta package for prepare build env used by buildtools (ex. OmoiKondara)
Name: build-momonga
Version: 1
Release: %{momorel}m%{?dist}
License: Public Domain
Group: Applications/System
URL: http://www.momonga-linux.org/docs/OmoiKondara-HOWTO/ja/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

# this packages name from http://www.momonga-linux.org/docs/OmoiKondara-HOWTO/ja/requires.html

Requires: automake autoconf
Requires: gcc gcc-c++ gcc-objc gcc-objc++ gcc-gfortran gcc-java
Requires: gcc3.2 gcc3.2-c++
Requires: gcc3.4 gcc3.4-c++
Requires: glibc-devel
Requires: gtk2-devel
Requires: jpackage-utils
Requires: libtool
Requires: libXtst-devel
Requires: libicu-devel
Requires: liburiparser-devel
Requires: make
Requires: momonga-rpmmacros
Requires: openssh
Requires: patch
Requires: popt-devel
Requires: procps
Requires: ruby ruby-rpm
Requires: ruby19 ruby19-rpm
Requires: rpm-build rpm-devel 
Requires: subversion
Requires: aria2 lftp ncftp wget 
Requires: xmlto

%description
This package provides only work OmoiKondara enviroment.
For resolve packages build dependency, you *must* do "yum install -y '*'"
before execute OmoiKondara.

Usage exapmle.
1. Install Momonga Linux
2. yum install -y build-momonga (and yum install -y '*')
3. cd $TOPDIR
4. svn co http://svn.momonga-linux.org/svn/pkgs/trunk/tools/
5. cd tools; make (or cp v2/rpmvercmp .); cd - 
6. svn co http://svn.momonga-linux.org/svn/pkgs/trunk/pkgs/
7. cd pkgs
8. cp ../tools/example.OmoiKondara .OmoiKondara # and edit .OmoiKondara config file
9. ../tools/OmoiKondara <options> <packages>

%files

%changelog
* Wed Feb 11 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-10m)
- add gtk2-devel xmlto libXtst-devel libicu-devel liburiparser-devel procps for build kernel
- add make
- sort Requires

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1-9m)
- rebuild against rpm-4.6

* Wed Nov 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1-8m)
- add Requires: jpackage-utils
- add BuildArch: noarch

* Sat Jul 26 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1-7m)
- rename ruby19-rpm

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-6m)
- rebuild against gcc43

* Fri Mar 21 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-5m)
- add Requires: popt-devel
- add Requires: aria2

* Tue Feb  5 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-4m)
- add Requires: ruby19 and Requires: ruby-rpm19

* Fri Jul  6 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-3m)
- add gcc* and ncftp and rpm-build

* Mon May 12 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-2m)
- add ruby-rpm , momonga-rpmmacros

* Mon May 12 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1-1m)
- first made for momonga
